Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Update logged-in user details

Prev Next
Put
/identity/users/me

When invoked the user object of the currently logged-in user is updated.
To update the email address following properties must be provided within the user object:

    - password: the user current authentication password.

To change the password the following properties must be provided within the user object:

    - password: the user current authentication password.
    - newPassword: the new authentication password.
    - newPasswordConfirmation: the new authentication password again.

The new password must be at least 8 characters long and must contain at least: one lower case letter, one upper case letter and one number.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Body parameters

The target email to send the reset password link.

object

The bean providing user details.

email
string

The user registration email address.

firstName
string

The user first name.

lastName
string

The user last name.

organizationId
string

The organization identifier the user belong to (required only for creation).

partnerId
string

The partner identifier the user belong to (required only for creation).

customerId
string

The customer identifier the user belong to (required only for creation).

locationId
string

The location identifier the user belong to (required only for creation).

timezone
string

The timezone used for date/times localization (e.g. Europe/Rome).

language
string

The language used for page localization (e.g. EN, ES).

creationTimestamp
integer (int64)

The timestamp at which the object was created.

alertActivatedInformationalEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on informational alert activation.

alertClearedInformationalEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on informational alert clearing.

alertActivatedWarningEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on warning alert activation.

alertClearedWarningEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on warning alert clearing.

alertActivatedCriticalEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on critical alert activation.

alertClearedCriticalEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on critical alert clearing.

alertActivatedEmergencyEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on emergency alert activation.

alertClearedEmergencyEmailEnabled
boolean Deprecated

The flag indicating whether an email must be sent on emergency alert clearing.

alertActivatedInformationalSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on informational alert activation.

alertClearedInformationalSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on informational alert clearing.

alertActivatedWarningSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on warning alert activation.

alertClearedWarningSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on warning alert clearing.

alertActivatedCriticalSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on critical alert activation.

alertClearedCriticalSmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on critical alert clearing.

alertActivatedEmergencySmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on emergency alert activation.

alertClearedEmergencySmsEnabled
boolean Deprecated

The flag indicating whether an SMS must be sent on emergency alert clearing.

alertActivatedInformationalPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on informational alert activation.

alertClearedInformationalPVoicenabled
boolean Deprecated

The flag indicating whether an push notification must be sent on informational alert clearing.

alertActivatedWarningPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on warning alert activation.

alertClearedWarningPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on warning alert clearing.

alertActivatedCriticalPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on critical alert activation.

alertClearedCriticalPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on critical alert clearing.

alertActivatedEmergencyPushEnabled
boolean Deprecated

The flag indicating whether an push notification must be sent on emergency alert activation.

alertClearedEmergencyPushEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on emergency alert clearing.

alertActivatedInformationalVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on informational alert activation.

alertClearedInformationalVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on informational alert clearing.

alertActivatedWarningVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on warning alert activation.

alertClearedWarningVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on warning alert clearing.

alertActivatedCriticalVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on critical alert activation.

alertClearedCriticalVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on critical alert clearing.

alertActivatedEmergencyVoiceEnabled
boolean Deprecated

The flag indicating whether an phone call must be made on emergency alert activation.

Responses
200

User successful updated.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded